Cómo solucionar el error al actualizar a WordPress 4.7

1 Estrella2 Estrellas3 Estrellas4 Estrellas5 Estrellas (21 votes, average: 5,00 out of 5)
Cargando…

error al actualizar a WordPress 4.7

 

Hace poco más de una semana fue lanzada la versión 4.7 de WordPress, el CMS para gestionar webs y blogs más usado del mundo, y como siempre, son muchos los problemas que pueden surgir al actualizar a esta versión, aunque la verdad es que está dando menos problemas de lo habitual porque la estructura de la base de datos no ha sido modificada.

Hoy os traemos la solución a uno de los problemas más molestos, que consiste en que, tras actualizar correctamente, al intentar acceder al Administrador del sito, éste nos redirige a una url del estilo de: /wp-admin/upgrade.php?_wp_http_referer… Al intentar acceder a esa dirección, la página se queda totalmente en blanco y ni menú ni mensaje alguno.

Os preguntaréis cómo solucionar el error al actualizar a WordPress 4.7. Parece un problema de difícil solución, ¿verdad? Pues no es así.
El problema reside en que nuestros archivos se han actualizado correctamente a la versión 4.7 de WordPress, pero ha ocurrido un error al actualizar la base de datos, y las versiones no coinciden.

La solución:

Abrimos el archivo: ‘/wp-includes/version.php‘ y buscamos la variable ‘$wp_db_version = XXXXX’. Copiamos el número de versión y nos dirigimos a la base de datos de nuestro WordPress. Accedemos a la tabla ‘wp_options‘ y sobreescribimos el valor del campo ‘db_version‘ con el que copiamos anteriormente.

Ahora ya podemos acceder a nuestro Administrador y ya podremos empezar a disfrutar de nuestro WordPress 4.7.

 

Si tienes un problema diferente al actualizar tu WordPress, coméntanoslo y nos pondremos en contacto contigo.

2 comentarios en “Cómo solucionar el error al actualizar a WordPress 4.7

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *